#### D.5.2.61 EulerProj

Procedure from library `chern.lib` (see chern_lib).

Usage:
  EulerProj(I); I an ideal

Return:
  integer

Purpose:
  computes the highest degree term of the Chern-Schwartz-MacPherson class of the variety defined by I, which equals the Euler characteristic

Note:
  uses CSMA(...)

Example:

    LIB "chern.lib";
    // consider the projective plane with homogeneous coordinates x, y, z
    ring r = 0, (x, y, z), dp;
    // Euler characteristic of a smooth cubic:
    ideal I=x3+y3+z3;
    I;
    EulerProj(I);
    // Euler characteristic of 3 non-collinear lines:
    ideal J=x*y*z;
    J;
    EulerProj(J);
    // Euler characteristic of 3 lines passing through one point
    ideal K=x*y*(x+y);
    K;
    EulerProj(K);

User manual for Singular version 4.4.1, 2025, generated by texi2html.